%define momorel 1
%define date 20040515

Summary: Japanese man (manual) pages from the Linux Documentation Project
Name: man-pages-ja
Version: 0.6
Release: 0.%{date}.%{momorel}m
License: see "README"
Group: Documentation
Source: http://www.linux.or.jp/JM/man-pages-ja-%{date}.tar.gz
NoSource: 0
Patch0: man-pages-ja-fix-ldconfig.patch
Patch1: man-pages-ja-fix-ldconfig-typo.patch
Patch2: dig.1.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
BuildPreReq: rsync
URL: http://www.linux.or.jp/JM/download.html

%description
Manual pages from the Linux Documentation Project, translated into Japanese.

%prep
%setup -q -n man-pages-ja-%{date}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}%{_mandir}/ja
for n in 1 2 3 4 5 6 7 8 9 n; do
	mkdir %{buildroot}%{_mandir}/ja/man$n
done

# remove conflicts
rm -rf manual/smbfs
rm -rf manual/sendmail
rm -rf manual/zebedee

# no man9/* in 20020315 version...
for m in manual/*; do 
    rsync -a $m/man* %{buildroot}%{_mandir}/ja/ || :
done

# remove conflicts
rm -f %{buildroot}%{_mandir}/ja/man1/chage.1
rm -f %{buildroot}%{_mandir}/ja/man1/gpasswd.1
rm -f %{buildroot}%{_mandir}/ja/man1/sg.1
rm -f %{buildroot}%{_mandir}/ja/man5/faillog.5
rm -f %{buildroot}%{_mandir}/ja/man5/shadow.5
rm -f %{buildroot}%{_mandir}/ja/man8/adduser.8
rm -f %{buildroot}%{_mandir}/ja/man8/chpasswd.8
rm -f %{buildroot}%{_mandir}/ja/man8/faillog.8
rm -f %{buildroot}%{_mandir}/ja/man8/groupadd.8
rm -f %{buildroot}%{_mandir}/ja/man8/groupdel.8
rm -f %{buildroot}%{_mandir}/ja/man8/groupmod.8
rm -f %{buildroot}%{_mandir}/ja/man8/grpck.8
rm -f %{buildroot}%{_mandir}/ja/man8/grpconv.8
rm -f %{buildroot}%{_mandir}/ja/man8/grpunconv.8
rm -f %{buildroot}%{_mandir}/ja/man8/lastlog.8
rm -f %{buildroot}%{_mandir}/ja/man8/newusers.8
rm -f %{buildroot}%{_mandir}/ja/man8/pwck.8
rm -f %{buildroot}%{_mandir}/ja/man8/pwconv.8
rm -f %{buildroot}%{_mandir}/ja/man8/pwunconv.8
rm -f %{buildroot}%{_mandir}/ja/man8/useradd.8
rm -f %{buildroot}%{_mandir}/ja/man8/userdel.8
rm -f %{buildroot}%{_mandir}/ja/man8/usermod.8
rm -f %{buildroot}%{_mandir}/ja/man8/rpm.8
rm -f %{buildroot}%{_mandir}/ja/man8/rpm2cpio.8
rm -f %{buildroot}%{_mandir}/ja/man8/rpmcache.8

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_mandir}/ja/*/*

%changelog
* Sat May 22 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20040515.1m)

* Sun Apr 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20040415.1m)

* Mon Mar 29 2004 Toru Hoshina <t@momonga-linux.org>
- (0.6-0.20040315.2m)
- avoid conflict with rpm 4.2.1, I know it's too early but please be patient.

* Sun Mar 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20040315.1m)

* Sun Feb 22 2004 Kenta MURATA <muraken2@nifty.com>
- (0.6-0.20040215.4m)
- dig

* Thu Feb 19 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20040215.1m)

* Tue Jan 20 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20040115.1m)

* Sat Jan 10 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20031215.1m)

* Tue Nov 11 2003 zunda <zunda at freeshell.org>
- (0.6-0.20030815.3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Oct  1 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.6-0.20030815.2m)
- fix typo in ldconfig.8 (ldcofig -> ldconfig)

* Tue Aug 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030815.1m)

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.6-0.20030715.2m)
- remove -q from man-page of ldconfig

* Mon Jul 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030715.1m)

* Tue Jul 15 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6-0.20030615.2m)
- rm rpm.8 rpm2cpio.8 for avoid conflict rpm-4.0.4-53m

* Tue Jun 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030615.1m)

* Sat Jun  7 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030525.1m)
- remove 'mount.8.diff' that seemed to be merged

* Wed Apr 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030415.1m)

* Mon Mar 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030315.1m)

* Mon Feb 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030217.1m)

* Thu Feb  6 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.6-0.20030115.2m)
- revice mount.8 for util-linux-2.11r-moremisc-2.patch in util-linux

* Fri Jan 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030115.1m)

* Mon Dec 16 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20021215.1m)

* Sun Nov 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20021115.1m)

* Thu Oct 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20021015.1m)

* Sun Sep 15 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20020915.1m)
- 20020915 version

* Sat Aug 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20020816.1m)
- 20020816 version

* Mon Jul 29 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.5-14m)
- remove zebedee

* Sun Jul 28 2002 YAMAGUCHI Kenji <yamk@momonga-linux.org>
- (0.5-13m)
- 20020715 version

* Sat May 18 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.5-12k)
- 20020515 version

* Tue Apr 16 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.5-10k)
- 20020415 version

* Tue Mar 19 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.5-8k)
- 20020315 version
- NoSource again

* Mon Jan 28 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (0.5-6k)
- update to man-pages-ja-20020115
- remove sendmail (conflict with postfix-japanese-manual)

* Thu Jan 10 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.5-4k)
- revise a spec file

* Wed Jan 09 2002 TABUCHI Takaaki <tab@kondara.org>
- (0.5-2k)
- version up to 0.5-0.006k to 0.5-2k (man-page-ja 20010815 to 0.5-20011215)
- back port from Jirai

* Thu Dec  6 2001 Kazuhiko <kazuhiko@kondara.org>
- (0.5-0.006k)
- 20010815 version

* Tue Nov 28 2001 Toru Hoshina <toru@df-usa.com>
- (0.5-0.002k)
- kesisugi.

* Fri May 25 2001 Toru Hoshina <toru@df-usa.com>
- version up.

* Sun Feb 04 2001 Kenichi Matsubara <m@kondara.org>
- remove samba.

* Wed Sep 20 2000 Toru Hoshina <t@kondara.org>
- merge from pinstripe.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Sun Jun 11 2000 Trond Eivind Glomsr?<teg@redhat.com>
- first build
